<?php

use CleverReach\WooCommerce\Components\Repositories\Customers\Subscriber_Repository;

$newsletter_checkbox_view_model = new CleverReach\WooCommerce\ViewModel\NewsletterCheckbox\Newsletter_Checkbox();

$cr_checked = false;

$current_user    = wp_get_current_user();
$current_user_id = $current_user->ID;
$cr_checked      = get_user_meta( $current_user_id, Subscriber_Repository::get_newsletter_column(), true ) === '1';

$cr_newsletter_caption = $newsletter_checkbox_view_model->get_newsletter_checkbox_caption();
$is_checkbox_disabled  = $newsletter_checkbox_view_model->get_newsletter_checkbox_disabled();
if ( wc()->session ) {
	wc()->session->set( 'from_profile', false );
}
?>
<?php
if ( ! $is_checkbox_disabled ) { ?>
    <label class="woocommerce-form__label woocommerce-form__label-for-checkbox checkbox">
        <input type="checkbox"
               class="woocommerce-form__input woocommerce-form__input-checkbox input-checkbox"
               name="<?php echo esc_html( Subscriber_Repository::NEWSLETTER_STATUS_FIELD ); ?>"
               id="<?php echo esc_html( Subscriber_Repository::NEWSLETTER_STATUS_FIELD ); ?>"
               value="1"
			<?php
			echo $cr_checked ? ' checked="checked"' : ''; ?>
        >
        <span>
		<?php
		echo __( $cr_newsletter_caption, 'cleverreach-wc' ); ?>
	</span>
    </label>
	<?php
} ?>
